Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453115 - Perl is currently 5.10.0 can we get an update please for F8?
Summary: Perl is currently 5.10.0 can we get an update please for F8?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 8
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 11:31 UTC by David
Modified: 2008-07-02 07:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-27 11:39:35 UTC


Attachments (Terms of Use)

Description David 2008-06-27 11:31:05 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Marcela Mašláňová 2008-06-27 11:39:35 UTC
No.

That would mean rebuilding all packages dependent on perl (loads of them) and
destroying already installed cpan modules, destroying paths etc. F-8 is stable
release, where we don't want break things.

Comment 2 David 2008-07-01 22:47:20 UTC
I built a perl-5.10.0-0.fc8.i386.rpm package by taking the F9 source rpm and
installed tcsh for F8 and built the rpm

So is this stable to use on a F8 server?

Thanks!

Comment 3 Marcela Mašláňová 2008-07-02 07:26:17 UTC
I can't guarantee functionality on your server. I'd rather don't upgrade. It's
also possible that some other dependent packages will fail after upgrade.

The biggest problem are the paths. Check if your scripts still can find all
modules. Especially if you are using cpan modules. We had typo paths in spec
file, so use at least perl-5.10.0-29.fc9 for rebuild.



Note You need to log in before you can comment on or make changes to this bug.